Package org.jfree.layouting.modules.output.html

## Interface URLRewriter

- All Known Implementing Classes:
    `FileSystemURLRewriter`, `SingleRepositoryURLRewriter`

      public interface URLRewriter

  This service takes a generated content location and rewrites it into an absolute or relative URL.
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `rewrite​(org.pentaho.reporting.libraries.repository.ContentEntity sourceDocument, org.pentaho.reporting.libraries.repository.ContentEntity dataEntity)` |

- - ### Method Detail

    - #### rewrite

          java.lang.String rewrite​(org.pentaho.reporting.libraries.repository.ContentEntity sourceDocument,
                                   org.pentaho.reporting.libraries.repository.ContentEntity dataEntity)
                            throws URLRewriteException

      Throws:
        `URLRewriteException`